BaselineDialog Class Reference

Subtract baseline dialog. More...

`#include <BaselineDialog.h>`

Inheritance diagram for BaselineDialog:

## Public Member Functions

| BaselineDialog (QWidget *parent=0, Qt::WFlags fl=0)
void | setGraph (Graph *g)

## Private Slots

void | createBaseline ()
void | enableBaselineOptions ()
void | modifyBaseline ()
void | subtractBaseline (bool add=false)
void | undo ()
void | updateGraphCurves ()
void | updateTableColumns (int tabnr)

## Private Member Functions

void | closeEvent (QCloseEvent *e)
double | combineValues (double v1, double v2, bool add=false)
void | disableBaselineTool ()

## Private Attributes

QComboBox * | boxColumnName
QLineEdit * | boxEquation
QComboBox * | boxInputName
QComboBox * | boxInterpolationMethod
QSpinBox * | boxPoints
QComboBox * | boxTableName
QRadioButton * | btnAutomatic
QRadioButton * | btnDataset
QRadioButton * | btnEquation
QPushButton * | buttonCancel
QPushButton * | buttonCreate
QPushButton * | buttonModify
QPushButton * | buttonSubtract
QPushButton * | buttonUndo
PlotCurve * | d_baseline
BaselineTool * | d_picker_tool
Table * | d_table
Graph * | graph

## Detailed Description

Subtract baseline dialog.

## Constructor & Destructor Documentation

BaselineDialog::BaselineDialog | ( | QWidget * | parent = `0`,
|  | Qt::WFlags | fl = `0`
| ) |  |

References boxColumnName, boxEquation, boxInputName, boxInterpolationMethod, boxPoints, boxTableName, btnAutomatic, btnDataset, btnEquation, buttonCancel, buttonCreate, buttonModify, buttonSubtract, buttonUndo, createBaseline(), enableBaselineOptions(), modifyBaseline(), subtractBaseline(), ApplicationWindow::tableNames(), undo(), and updateTableColumns().

## Member Function Documentation

void BaselineDialog::closeEvent | ( | QCloseEvent * | e | ) |

private

References d_picker_tool, Graph::disableTools(), and graph.

double BaselineDialog::combineValues | ( | double | v1,
|  | double | v2,
|  | bool | add = `false`
| ) |  |

private

Referenced by subtractBaseline().

void BaselineDialog::createBaseline | ( |  | ) |

private slot

References Graph::addFunction(), MdiSubWindow::askOnCloseEvent(), boxColumnName, boxEquation, boxInputName, boxInterpolationMethod, boxPoints, boxTableName, btnAutomatic, btnDataset, btnEquation, ApplicationWindow::closeWindow(), Table::colIndex(), Table::colX(), Graph::curve(), Graph::curveCount(), Graph::curveIndex(), d_baseline, d_table, Graph::dataCurve(), disableBaselineTool(), graph, ApplicationWindow::hideWindow(), Graph::insertCurve(), Graph::Line, ApplicationWindow::newTable(), FunctionCurve::Normal, Table::numRows(), Graph::removeCurve(), Filter::run(), Graph::setAutoScale(), Filter::setOutputPoints(), Table::setText(), ApplicationWindow::setWindowName(), Table::table(), ApplicationWindow::table(), and Table::text().

Referenced by BaselineDialog(), and modifyBaseline().

void BaselineDialog::disableBaselineTool | ( |  | ) |

private

References buttonModify, d_picker_tool, graph, and Graph::setActiveTool().

Referenced by createBaseline(), modifyBaseline(), and subtractBaseline().

void BaselineDialog::enableBaselineOptions | ( |  | ) |

private slot

References boxColumnName, boxEquation, boxInterpolationMethod, boxTableName, btnAutomatic, btnDataset, and btnEquation.

Referenced by BaselineDialog().

void BaselineDialog::modifyBaseline | ( |  | ) |

private slot

References createBaseline(), d_baseline, d_picker_tool, d_table, disableBaselineTool(), Graph::Function, graph, ApplicationWindow::hideWindow(), Graph::insertCurve(), Graph::Line, ApplicationWindow::newTable(), Graph::removeCurve(), Graph::setActiveTool(), Table::setCell(), ApplicationWindow::setWindowName(), and PlotCurve::type().

Referenced by BaselineDialog().

void BaselineDialog::setGraph | ( | Graph * | g | ) |

References Graph::analysableCurvesList(), boxInputName, boxPoints, Graph::curveRange(), Graph::dataCurve(), graph, Graph::rangeSelectorsEnabled(), Graph::rangeSelectorTool(), and updateGraphCurves().

Referenced by ApplicationWindow::baselineDialog().

void BaselineDialog::subtractBaseline | ( | bool | add = `false` | ) |

private slot

References boxInputName, Table::cell(), Table::colIndex(), combineValues(), Graph::curveIndex(), d_baseline, Graph::dataCurve(), disableBaselineTool(), DataCurve::endRow(), graph, Table::notifyChanges(), Table::setCell(), DataCurve::startRow(), DataCurve::table(), Table::text(), and DataCurve::xColumnName().

Referenced by BaselineDialog(), and undo().

void BaselineDialog::undo | ( |  | ) |

private slot

References subtractBaseline().

Referenced by BaselineDialog().

void BaselineDialog::updateGraphCurves | ( |  | ) |

private slot

References Graph::analysableCurvesList(), boxInputName, d_baseline, and graph.

Referenced by setGraph().

void BaselineDialog::updateTableColumns | ( | int | tabnr | ) |

private slot

References boxColumnName, boxTableName, Table::colLabel(), Table::colPlotDesignation(), Table::numCols(), ApplicationWindow::table(), and Table::X.

Referenced by BaselineDialog().

## Member Data Documentation

QComboBox* BaselineDialog::boxColumnName

private

Referenced by BaselineDialog(), createBaseline(), enableBaselineOptions(), and updateTableColumns().

QLineEdit* BaselineDialog::boxEquation

private

Referenced by BaselineDialog(), createBaseline(), and enableBaselineOptions().

QComboBox* BaselineDialog::boxInputName

private

Referenced by BaselineDialog(), createBaseline(), setGraph(), subtractBaseline(), and updateGraphCurves().

QComboBox* BaselineDialog::boxInterpolationMethod

private

Referenced by BaselineDialog(), createBaseline(), and enableBaselineOptions().

QSpinBox* BaselineDialog::boxPoints

private

Referenced by BaselineDialog(), createBaseline(), and setGraph().

QComboBox* BaselineDialog::boxTableName

private

Referenced by BaselineDialog(), createBaseline(), enableBaselineOptions(), and updateTableColumns().

QRadioButton* BaselineDialog::btnAutomatic

private

Referenced by BaselineDialog(), createBaseline(), and enableBaselineOptions().

QRadioButton* BaselineDialog::btnDataset

private

Referenced by BaselineDialog(), createBaseline(), and enableBaselineOptions().

QRadioButton* BaselineDialog::btnEquation

private

Referenced by BaselineDialog(), createBaseline(), and enableBaselineOptions().

QPushButton* BaselineDialog::buttonCancel

private

Referenced by BaselineDialog().

QPushButton* BaselineDialog::buttonCreate

private

Referenced by BaselineDialog().

QPushButton* BaselineDialog::buttonModify

private

Referenced by BaselineDialog(), and disableBaselineTool().

QPushButton* BaselineDialog::buttonSubtract

private

Referenced by BaselineDialog().

QPushButton* BaselineDialog::buttonUndo

private

Referenced by BaselineDialog().

PlotCurve* BaselineDialog::d_baseline

private

Referenced by createBaseline(), modifyBaseline(), subtractBaseline(), and updateGraphCurves().

BaselineTool* BaselineDialog::d_picker_tool

private

Referenced by closeEvent(), disableBaselineTool(), and modifyBaseline().

Table* BaselineDialog::d_table

private

Referenced by createBaseline(), and modifyBaseline().

Graph* BaselineDialog::graph

private

Referenced by closeEvent(), createBaseline(), disableBaselineTool(), modifyBaseline(), setGraph(), subtractBaseline(), and updateGraphCurves().

The documentation for this class was generated from the following files:

- qtiplot/src/analysis/dialogs/BaselineDialog.h
- qtiplot/src/analysis/dialogs/BaselineDialog.cpp